Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit kate for openSUSE:Factory
Hello community,

here is the log from the commit of package kate for openSUSE:Factory checked in
at 2019-04-26 22:47:26
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kate (Old)
and /work/SRC/openSUSE:Factory/.kate.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kate"

Fri Apr 26 22:47:26 2019 rev:107 rq:696214 version:19.04.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/kate/kate.changes 2019-03-11
11:09:19.385443270 +0100
+++ /work/SRC/openSUSE:Factory/.kate.new.5536/kate.changes 2019-04-26
22:47:29.393550222 +0200
@@ -1,0 +2,33 @@
+Sat Apr 20 06:51:53 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.04.0
+ * New feature release
+ * For more details please see:
+ * https://www.kde.org/announcements/announce-applications-19.04.0.php
+- Changes since 19.03.90:
+ * improve comment
+ * fix handling of sub modules in git rely on ls-files --recurse-submodules,
there since end of 2016
+
+-------------------------------------------------------------------
+Tue Apr 09 20:54:39 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.03.90
+ * New feature release
+ * For more details please see:
+ * https://kde.org/announcements/announce-applications-19.04-rc.php
+- Changes since 19.03.80:
+ * No code changes since 19.03.80
+
+-------------------------------------------------------------------
+Wed Mar 27 06:40:58 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.03.80
+ * New feature release
+ * For more details please see:
+ * https://kde.org/announcements/announce-applications-19.04-beta.php
+- Changes since 18.12.3:
+ * Too many changes to list here
+- Refreshed patches:
+ * 0001-Defuse-root-block.patch
+
+-------------------------------------------------------------------

Old:
----
kate-18.12.3.tar.xz

New:
----
kate-19.04.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kate.spec ++++++
--- /var/tmp/diff_new_pack.0C7WIr/_old 2019-04-26 22:47:30.221549798 +0200
+++ /var/tmp/diff_new_pack.0C7WIr/_new 2019-04-26 22:47:30.225549796 +0200
@@ -22,7 +22,7 @@
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print
$1"."$2}')}
%bcond_without lang
Name: kate
-Version: 18.12.3
+Version: 19.04.0
Release: 0
Summary: Advanced Text Editor
License: GPL-3.0-or-later

++++++ 0001-Defuse-root-block.patch ++++++
--- /var/tmp/diff_new_pack.0C7WIr/_old 2019-04-26 22:47:30.233549792 +0200
+++ /var/tmp/diff_new_pack.0C7WIr/_new 2019-04-26 22:47:30.237549790 +0200
@@ -12,11 +12,11 @@
kwrite/main.cpp | 3 +--
2 files changed, 2 insertions(+), 4 deletions(-)

-Index: kate-18.07.70git.20180531T121543~bf6d5b753/kate/main.cpp
+Index: kate-19.03.60git.20181224T024634~7203979fc/kate/main.cpp
===================================================================
---- kate-18.07.70git.20180531T121543~bf6d5b753.orig/kate/main.cpp
-+++ kate-18.07.70git.20180531T121543~bf6d5b753/kate/main.cpp
-@@ -63,13 +63,8 @@ int main(int argc, char **argv)
+--- kate-19.03.60git.20181224T024634~7203979fc.orig/kate/main.cpp
2018-12-25 09:49:15.867478873 +0100
++++ kate-19.03.60git.20181224T024634~7203979fc/kate/main.cpp 2018-12-25
09:49:19.231424088 +0100
+@@ -61,13 +61,8 @@
#ifndef Q_OS_WIN
// Prohibit using sudo or kdesu (but allow using the root user directly)
if (getuid() == 0) {
@@ -32,23 +32,23 @@
}
#endif
/**
-Index: kate-18.07.70git.20180531T121543~bf6d5b753/kwrite/main.cpp
+Index: kate-19.03.60git.20181224T024634~7203979fc/kwrite/main.cpp
===================================================================
---- kate-18.07.70git.20180531T121543~bf6d5b753.orig/kwrite/main.cpp
-+++ kate-18.07.70git.20180531T121543~bf6d5b753/kwrite/main.cpp
-@@ -52,13 +52,8 @@ extern "C" Q_DECL_EXPORT int main(int ar
+--- kate-19.03.60git.20181224T024634~7203979fc.orig/kwrite/main.cpp
2018-12-25 09:49:19.231424088 +0100
++++ kate-19.03.60git.20181224T024634~7203979fc/kwrite/main.cpp 2018-12-25
09:50:32.302253532 +0100
+@@ -52,13 +52,8 @@
#ifndef Q_OS_WIN
// Prohibit using sudo or kdesu (but allow using the root user directly)
if (getuid() == 0) {
- if (!qEnvironmentVariableIsEmpty("SUDO_USER")) {
-- std::cout << "Executing Kate with sudo is not possible due to
unfixable security vulnerabilities." << std::endl;
+- std::cout << "Executing KWrite with sudo is not possible due to
unfixable security vulnerabilities." << std::endl;
- return EXIT_FAILURE;
- } else if (!qEnvironmentVariableIsEmpty("KDESU_USER")) {
-- std::cout << "Executing Kate with kdesu is not possible due to
unfixable security vulnerabilities." << std::endl;
+- std::cout << "Executing KWrite with kdesu is not possible due to
unfixable security vulnerabilities." << std::endl;
- return EXIT_FAILURE;
- }
-+ std::cout << "THIS IS POTENTIALLY INSECURE!\nTo edit files as root
please use:" << std::endl;
-+ std::cout << "SUDO_EDITOR=kwrite sudoedit <file>" << std::endl;
++ std::cout << "THIS IS POTENTIALLY INSECURE!\nTo edit files as root
please use:" << std::endl;
++ std::cout << "SUDO_EDITOR=kwrite sudoedit <file>" << std::endl;
}
#endif
/**

++++++ kate-18.12.3.tar.xz -> kate-19.04.0.tar.xz ++++++
++++ 182451 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages